import React, { ReactElement } from "react"

import { Button, Content, Link, Stats } from "@onegeo/gatsby-theme-onegeo"

function stats(): ReactElement {
    return (
        <Content>
            <div className="prose">
                <Link to="/doc">Retour</Link>

                <h1>Stats</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>
                            {`interface Props {
    children?: React.ReactNode;
    className?: string;
    icon?: JSX.Element;
    title?: string;
    iconColor?: string;
    valueColor?: string;
    descriptionColor?: string;
}`}
                        </code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <Stats />
        </Content>
    )
}

export default stats
